import React, { useState } from 'react';
import type { Meta, StoryObj } from '@storybook/react';
import { TextEditor } from '.';
import { EditorState } from 'lexical';

const Component: Meta<typeof TextEditor> = {
  title: 'Components/TextEditor',
  component: TextEditor,
  decorators: [Story => <div className="w-52 m-5">{Story()}</div>],
};

export default Component;
type Story = StoryObj<typeof Component>;

export const TextEditorStory: Story = (args: any) => {
  const [editorState, setEditorState] = useState<EditorState | undefined>(undefined);

  return (
    <TextEditor
      {...args}
      editorState={editorState}
      setEditorState={setEditorState}
      showToolbar={true}
      placeholder="Start typing your report template..."
    />
  );
};

TextEditorStory.args = {};
